public interface VmEndpointNatMappingsListOrBuilder extends MessageOrBuilderImplements
MessageOrBuilderMethods
getId()
public abstract String getId()[Output Only] The unique identifier for the resource. This identifier is defined by the server.
optional string id = 3355;
| Returns | |
|---|---|
| Type | Description |
String |
The id. |
getIdBytes()
public abstract ByteString getIdBytes()[Output Only] The unique identifier for the resource. This identifier is defined by the server.
optional string id = 3355;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for id. |
getKind()
public abstract String getKind()Output only. [Output Only] Type of resource. Alwayscompute#vmEndpointNatMappingsList for lists of Nat mappings of VM endpoints.
optional string kind = 3292052;
| Returns | |
|---|---|
| Type | Description |
String |
The kind. |
getKindBytes()
public abstract ByteString getKindBytes()Output only. [Output Only] Type of resource. Alwayscompute#vmEndpointNatMappingsList for lists of Nat mappings of VM endpoints.
optional string kind = 3292052;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for kind. |
getNextPageToken()
public abstract String getNextPageToken()[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.
optional string next_page_token = 79797525;
| Returns | |
|---|---|
| Type | Description |
String |
The nextPageToken. |
getNextPageTokenBytes()
public abstract ByteString getNextPageTokenBytes()[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.
optional string next_page_token = 79797525;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for nextPageToken. |
getResult(int index)
public abstract VmEndpointNatMappings getResult(int index)[Output Only] A list of Nat mapping information of VM endpoints.
repeated .google.cloud.compute.v1.VmEndpointNatMappings result = 139315229;
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
VmEndpointNatMappings |
|
getResultCount()
public abstract int getResultCount()[Output Only] A list of Nat mapping information of VM endpoints.
repeated .google.cloud.compute.v1.VmEndpointNatMappings result = 139315229;
| Returns | |
|---|---|
| Type | Description |
int |
|
getResultList()
public abstract List<VmEndpointNatMappings> getResultList()[Output Only] A list of Nat mapping information of VM endpoints.
repeated .google.cloud.compute.v1.VmEndpointNatMappings result = 139315229;
| Returns | |
|---|---|
| Type | Description |
List<VmEndpointNatMappings> |
|
getResultOrBuilder(int index)
public abstract VmEndpointNatMappingsOrBuilder getResultOrBuilder(int index)[Output Only] A list of Nat mapping information of VM endpoints.
repeated .google.cloud.compute.v1.VmEndpointNatMappings result = 139315229;
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
VmEndpointNatMappingsOrBuilder |
|
getResultOrBuilderList()
public abstract List<? extends VmEndpointNatMappingsOrBuilder> getResultOrBuilderList()[Output Only] A list of Nat mapping information of VM endpoints.
repeated .google.cloud.compute.v1.VmEndpointNatMappings result = 139315229;
| Returns | |
|---|---|
| Type | Description |
List<? extends com.google.cloud.compute.v1.VmEndpointNatMappingsOrBuilder> |
|
getSelfLink()
public abstract String getSelfLink()Output only. [Output Only] Server-defined URL for this resource.
optional string self_link = 456214797;
| Returns | |
|---|---|
| Type | Description |
String |
The selfLink. |
getSelfLinkBytes()
public abstract ByteString getSelfLinkBytes()Output only. [Output Only] Server-defined URL for this resource.
optional string self_link = 456214797;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for selfLink. |
getWarning()
public abstract Warning getWarning()[Output Only] Informational warning message.
optional .google.cloud.compute.v1.Warning warning = 50704284;
| Returns | |
|---|---|
| Type | Description |
Warning |
The warning. |
getWarningOrBuilder()
public abstract WarningOrBuilder getWarningOrBuilder()[Output Only] Informational warning message.
optional .google.cloud.compute.v1.Warning warning = 50704284;
| Returns | |
|---|---|
| Type | Description |
WarningOrBuilder |
|
hasId()
public abstract boolean hasId()[Output Only] The unique identifier for the resource. This identifier is defined by the server.
optional string id = 3355;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the id field is set. |
hasKind()
public abstract boolean hasKind()Output only. [Output Only] Type of resource. Alwayscompute#vmEndpointNatMappingsList for lists of Nat mappings of VM endpoints.
optional string kind = 3292052;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the kind field is set. |
hasNextPageToken()
public abstract boolean hasNextPageToken()[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.
optional string next_page_token = 79797525;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the nextPageToken field is set. |
hasSelfLink()
public abstract boolean hasSelfLink()Output only. [Output Only] Server-defined URL for this resource.
optional string self_link = 456214797;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the selfLink field is set. |
hasWarning()
public abstract boolean hasWarning()[Output Only] Informational warning message.
optional .google.cloud.compute.v1.Warning warning = 50704284;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the warning field is set. |